[Haskell-cafe] ANN: Build fixed for regex-base,posix,compat,pcre

ChrisK haskell at list.mightyreason.com
Mon Jan 7 16:24:52 EST 2008

ANNOUNCEMENT: Build fixed for regex-base, regex-posix, regex-compat, regex-pcre

The changes are mainly to the Cabal build files to support ghc-6.8 and ghc-6.6 
simultaneously.  They definitely work with cabal version (required for 
regex-pcre).  The regex-base, regex-posix, and regex-compat packages also seem 
to work with cabal- (but not regex-pcre).

The darcs repositories under http://darcs.haskell.org/packages/regex-unstable/
hold the new code.

I have uploaded new versions of the most popular regex-* packages to hackage:

Mon Jan 7 13:18:00 PST 2008  	ChrisKuklewicz	  regex-pcre-0.94.1
Mon Jan 7 13:05:57 PST 2008  	ChrisKuklewicz	  regex-posix-0.93.1
Mon Jan 7 13:04:49 PST 2008  	ChrisKuklewicz	  regex-base-0.93.1
Mon Jan 7 06:50:54 PST 2008  	ChrisKuklewicz	  regex-compat-0.91

I would like to thank everyone who sent me updated, and particularly Olivier 
Boudry who sent patches.

These build fixes have only been tested with ghc-6.6.1 on Mac OS X 10.5.1
(powerpc) and with ghc-6.8.2 on Linux (x86).

Happy New Year,
   Chris Kuklewicz

More information about the Haskell-Cafe mailing list